Bug 445588 - With DejaVuSans-ExtraLight.ttf installed Hebrew text in calc/impress tabs does not get glyph substituted
With DejaVuSans-ExtraLight.ttf installed Hebrew text in calc/impress tabs doe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 15:46 EDT by Nadav Kavalerchik
Modified: 2010-02-16 08:05 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.1.1-19.26.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 08:05:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"empty boxes" characters in labels of tabs (hebrew UI) (51.50 KB, image/jpeg)
2008-05-07 15:46 EDT, Nadav Kavalerchik
no flags Details
inactive tabs font problem (163.00 KB, image/png)
2010-02-09 01:40 EST, Gilboa Davara
no flags Details
fc-match output (4.79 KB, text/plain)
2010-02-09 01:57 EST, Gilboa Davara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 87970 None None None Never

  None (edit)
Description Nadav Kavalerchik 2008-05-07 15:46:10 EDT
Description of problem:
when opening Impress (hebrew UI) i get "empty boxes" characters in tabs labels
that are not in focus. active tab get correct hebrew font displayed.

the entire interface is in hebrew

i disabled and and enabled "use system fonts" preferance with not help
system locale is en_US.UTF-8 (setting the he_IL.UTF-8 does not help)

this also happen inside all OOo dialogs' not-in-focus tabs !

i remember haveing this issue in the past after massive system upgrade from fc6
--> fc8 . it was eventually resolved, but i am not sure how :-( 

i am attaching a screen capture.

Version-Release number of selected component (if applicable):
2.3.0

How reproducible:
open (hebrew UI) Impress and look at the not-in-focus tab's labels

Steps to Reproduce:
1.
2.
3.
  
Actual results:
see "empty-boxes" characters labels on tabs

Expected results:
see hebrew labels on tabs

Additional info:
Comment 1 Nadav Kavalerchik 2008-05-07 15:46:10 EDT
Created attachment 304801 [details]
"empty boxes" characters in labels of tabs (hebrew UI)
Comment 2 Caolan McNamara 2008-05-09 04:09:29 EDT
I don't see this problem locally. 

a) This is openoffice.org-2.3.0-6.14.fc8 ?
b) KDE or GNOME ? (looks like KDE ?)
c) But this is likely to be something like a busted font, or fontconfig cache or
sommat like that. Try a fc-cache -f to ensure they are regenerated and log-out +
log-in
d) What font is set as the application font on your desktop font settings, is it
just "Sans" and what does fc-match "Sans" (or whatever it is) say

If it persists then attach the output of fc-list and I'll try and match my fonts
up to your list
Comment 3 Nadav Kavalerchik 2008-05-09 08:49:30 EDT
a) This is openoffice.org-2.3.0-6.14.fc8 ?
i have openoffice.org-2.3.0-6.11.fc8 and i'm updating (as we read) to latest.
but i quiet sure it's not the issue.

b) KDE or GNOME ? (looks like KDE ?)
KDE :-) 
i know OO is getting it's UI fonts from "Application Fonts" as defined in
gnome-appearance-properties.

c) But this is likely to be something like a busted font, or fontconfig cache or
sommat like that. Try a fc-cache -f to ensure they are regenerated and log-out +
log-in
tried that. didn't help :-(

d) What font is set as the application font on your desktop font settings, is it
just "Sans" and what does fc-match "Sans" (or whatever it is) 
i use DejaVu Sans (Book) which has great hebrew support so i don't really know
what's the issue here ? . i tried chaning to Sans and Ariel and other hebrew
enabled fonts but no use :-(
logged out and in and cleared the fc-cache too.
Comment 4 Nadav Kavalerchik 2008-05-09 08:55:37 EDT
just changed GNOME's Application Font to Yehuda CLM (hebrew culmus fonts
project) and set OO to "use system fonts" and the issue was solved.

still, i think it should be fixed for DejaVu Sans since it was working great for
long time with this font.

and i have another version of OO - localized hebrew 2.3.1 (form
http://www.openoffice.org.il) and i don't have this issue in that version neither.

i'll keep playing around with the fonts to see if i can solve this on a deeper
level and post my fix here, later.
Comment 5 Caolan McNamara 2008-05-09 09:23:21 EDT
It works fine locally with "DejaVu Sans" for me on up to date F-8. And it is the
dejavu-fonts and not the dejavu-lgc-fonts which is installed ?

A comparison to vanilla 2.3.1 doesn't really mean much as that one doesn't do
true glyph fallback but a comparison against vanilla 2.4.0 would be interesting
as that one integrates the Red Hat glyph fallback into the vanilla tree.
Comment 6 Nadav Kavalerchik 2008-05-09 14:54:53 EDT
do you have a link for those 2.4.x packages ? koji ?
Comment 7 Caolan McNamara 2008-05-09 16:05:38 EDT
You mentioned having the vanilla 2.3.1 so I was talking about the vanilla 2.4.0
in this case. There are F-9 2.4.0's but they probably won't install on F-8
without forcing them.
Comment 8 Nadav Kavalerchik 2008-05-10 05:46:03 EDT
the version i have is an Israeli fork for the upstream OOo 2.3.x that is
specialized in that it solved many rtl issues.

it is a private commercial company that is funded by the ministry of finance.
until they release version 2.4.x ... well... it is going to take some time :-)

never mind :-)

btw.
i saw version 3.0 in koji :-) that's nice.
Comment 9 Nadav Kavalerchik 2008-05-11 16:44:39 EDT
(FYI) some more general info:

i just saw this bug on ubuntu 8.04 (OOo 2.4) and on debian sid (2.4) :-(
i guess it's an upstream issue.
and changing the application's fonts on XFCE desktop didn't help as it did in
all GNOME desktop in all distributions.
Comment 10 Caolan McNamara 2008-05-12 04:48:09 EDT
If I could reproduce it I'd fix it, so if you create a fresh new user login set
to e.g. default GNOME do you see if there ?
Comment 11 Nadav Kavalerchik 2008-05-23 05:24:50 EDT
tried a new user and it still persists :-(

i notice this is an upstream since it is reported in several distributions
on several OO applications.

see one of the upstream bug reports (related to Calc)
http://www.openoffice.org/issues/show_bug.cgi?id=87970
(this issue has links to other reports)

i am moving this issue upstream, since i notice it on debian and ubuntu too :-(
Comment 12 Nadav Kavalerchik 2008-05-23 05:43:29 EDT
upstream bug report in OOo:
http://www.openoffice.org/issues/show_bug.cgi?id=89839
Comment 13 Caolan McNamara 2008-05-23 12:02:27 EDT
Seeing as I *don't* see it I strongly suspect its related to the set of fonts
installed and/or any fontconfig customization that may have been applied locally
(were there any ?)
Comment 14 Caolan McNamara 2008-05-24 09:54:11 EDT
What I'd like to try and do is to replicate here locally the same set of fonts
that you have installed. Can you give me the output of

fc-list -v

and 

rpm -qa | grep font

and if you know if you have any 3rd party fonts installed and where you got
them, that'd be great too. 
Comment 15 Nadav Kavalerchik 2008-05-24 10:11:37 EDT
[root@server ~]# fc-list -v

KacstArt:style=KacstArt
KacstBook:style=KacstBook
KacstDecorative:style=KacstDecorative
KacstDigital:style=KacstDigital
KacstFarsi:style=KacstFarsi
KacstOne:style=KacstOne
KacstPoster:style=KacstPoster
KacstQurn:style=KacstQurn
KacstTitle:style=KacstTitle
KacstTitleL:style=KacstTitleL
Verdana:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
David CLM:style=Medium Italic
Luxi Serif:style=Regular
Liberation Mono:style=Regular
Lucida
Console:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Navadno,Arrunta
MiscFixed:style=Regular
Utopia:style=Bold Italic
Nimbus Sans L:style=Regular Italic
BN Music:style=Regular
Goudy Old
Style:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
Wide
Latin:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
BN Next Genartion:style=Regular
DejaVu Serif,DejaVu Serif Condensed:style=Condensed,Book
Times New
Roman:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,thường,Arrunta
Bitstream Vera Sans Mono:style=Bold
Gautami:style=Regular
Webdings:style=Regular
DejaVu LGC Serif:style=Italic
Lucida Sans
Typewriter:style=Oblique,oblik,Schräg,Inclinada,Kallistettu,Schuin,Lutande,Inclinado
Console:style=Regular
URW Palladio L:style=Roman
Gill Sans MT Ext Condensed
Bold:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
DejaVu Serif,DejaVu Serif Condensed:style=Condensed Bold Italic,Bold Italic
Century Schoolbook L:style=Bold Italic
Luxi Serif:style=Bold
Kristen
ITC:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
DejaVu Serif,DejaVu Serif Condensed:style=Condensed Bold,Bold
BN Varda Bold:style=Regular
Verdana:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,Lodi etzana
Liberation Sans:style=Regular
DejaVu Sans,DejaVu Sans Condensed:style=Condensed Oblique,Oblique
DejaVu LGC Sans:style=Oblique
DejaVu Sans Mono:style=Bold Oblique
Lucida Bright:style=Demibold
Gill Sans
MT:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Latha:style=Regular
Georgia:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
Cardo:style=Regular
BN Damagia:style=Regular
cmex10:style=Regular
Comic Sans
MS:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
BN Bullet Italic:style=Regular
Lucida Fax:style=Italic,kursiv,Cursiva,Kursivoitu,Italique,Corsivo,Cursief,Itálico
BN Buttercup X:style=Regular
DejaVu LGC Sans Mono:style=Oblique
Liberation Serif:style=Bold Italic
Lucida Bright:style=Italic
LucidaTypewriter:style=Sans Bold
Garamond:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
Frank Ruehl CLM:style=Medium
Bitstream Vera Sans:style=Oblique
Goudy Old
Style:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
BN Pinky Bold:style=Regular
BN Torrens:style=Regular
DejaVu Serif:style=Bold Italic
French Script
MT:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Lucida Sans
Typewriter:style=Bold,fed,Fett,Negrita,Lihavoitu,Gras,Grassetto,Vet,Halvfet,Fet,Negrito
BN Florida:style=Regular
Nimbus Sans L:style=Bold
BN Elkana:style=Regular
Guttman Hodes:style=Normal
Luxi Mono:style=Bold
Drugulin CLM:style=Bold Italic
Georgia:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,Lodi etzana
Utopia:style=Bold
BN Elhanan:style=Regular
High Tower
Text:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
Blackadder
ITC:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Ellinia CLM:style=Light
Guttman Yad:style=Regular
Goudy
Stout:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
URW Chancery L:style=Medium Italic
Bitstream Vera Sans:style=Roman
Informal
Roman:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Bitstream Charter:style=Bold Italic
wasy10:style=Normal
Luxi Sans:style=Bold
Magneto:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
BN Pixeliom:style=Regular
Ktav Yad CLM:style=Bold Italic
BN Zika:style=Regular
DejaVu LGC Serif,DejaVu LGC Serif Condensed:style=Condensed,Book
BN Bilbo:style=Regular
Guttman Keren:style=Normal
DejaVu Sans:style=Bold Oblique
BN Pinky:style=Regular
Nimbus Roman No9 L:style=Regular
BN Boxi:style=Regular
BN Golani:style=Regular
Lucida Sans:style=Demibold
Roman,halvfed,Halbfett,Seminegrita,Puolilihavoitu,Demi-gras,Demi-grassetto,Halfvet,Trekvartsfet,Seminegrito
BN Robocop:style=Regular
Century Schoolbook L:style=Bold
Century Schoolbook L:style=Italic
BN Chandeliers:style=Regular
cmbx10:style=Regular
Guttman Myamfix:style=Regular
PakTypeNaqsh:style=Regular
Ellinia CLM:style=Bold Italic
BN Capuccino:style=Regular
BN Mazlega:style=Regular
Monotype Hadassah:style=Bold
Century
Gothic:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Courier:style=Bold Italic
Luxi Sans:style=Regular
Ellinia CLM:style=Light Italic
BN Pakistan:style=Regular
Nimbus Sans L:style=Regular
Yehuda CLM:style=Bold
FreeSerif:style=Bold,polkrepko
Guttman Haim\-Condensed:style=Regular
Levenim MT:style=Regular
BN Pustakel Thin:style=Regular
DejaVu LGC Serif,DejaVu LGC Serif Condensed:style=Condensed Bold Italic,Bold Italic
Trebuchet
MS:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
BN Oria Thin:style=Regular
BN Elkana 3D:style=Regular
Lucida Fax:style=Demibold Italic,halvfed kursiv,Halbfett Kursiv,Seminegrita
Cursiva,Puolilihavoitu Kursivoitu,Demi-gras Italique,Demi-grassetto
Corsivo,Halfvet Cursief,Trekvartsfet Kursiv,Seminegrito Itálico
Courier:style=Regular
URW Palladio L:style=Italic
Cursor:style=Regular
Aharoni CLM:style=Bold Oblique
BN Dog:style=Regular
BN Miri:style=Regular
Gan CLM:style=Bold
Nimbus Sans L:style=Bold Condensed
DejaVu LGC Sans,DejaVu LGC Sans Condensed:style=Condensed Oblique,Oblique
Aharoni CLM:style=Book
DejaVu LGC Serif,DejaVu LGC Serif Condensed:style=Condensed Italic,Italic
Aharoni CLM:style=Bold
Trebuchet
MS:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
BN Zikaron:style=Regular
DejaVu LGC Sans,DejaVu LGC Sans Condensed:style=Condensed,Book
KacstOneFixed:style=Regular
BN Bullet:style=Regular
URW Gothic L:style=Demi
Guttman Yad\-Light:style=Light
Liberation Serif:style=Bold
FreeSerif:style=Italic,ležeče
Imprint MT
Shadow:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Times New
Roman:style=Italic,cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,kursywa,Itálico,Курсив,İtalik,Poševno,nghiêng,Etzana
Liberation Mono:style=Bold Italic
DejaVu LGC Sans:style=Bold Oblique
Gill Sans Ultra Bold
Condensed:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Nimbus Roman No9 L:style=Medium Italic
David CLM:style=Medium
Miriam Mono CLM:style=Bold Oblique
Bitstream Charter:style=Regular
BN Quadrat:style=Regular
Verdana:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Miriam Mono CLM:style=Book Oblique
Nachlieli CLM:style=Light
msam10:style=Regular
BN Miri Bold:style=Regular
Nimbus Mono L:style=Bold Oblique
Andale
Mono:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
FreeSans:style=Medium,navadno
Georgia:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Dingbats:style=Regular
DejaVu LGC Sans Mono:style=Bold Oblique
Times New
Roman:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiona,Negrito,Полужирный,Fet,Kalın,Krepko,đâm,Lodia
cmsy10:style=Regular
Arial
Black:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Comix No2 CLM:style=Medium
Bitstream Vera Sans Mono:style=Oblique
Edwardian Script
ITC:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Lucida Sans Typewriter:style=Regular,normal,Standard,Normaali,Normale,Standaard
Frank Ruehl OT:style=Medium
Garamond:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Nimbus Roman No9 L:style=Medium
BN Oria:style=Regular
BN Begilophim:style=Regular
Guttman David:style=Regular
Caladings CLM:style=Regular
BN Sleepwalker:style=Regular
Nimbus Sans L:style=Bold Italic
Courier
New:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,thường,Arrunta
DejaVu LGC Sans Mono:style=Bold
Ezra SIL SR,Ezra SIL:style=Regular
BN Madregot Bold:style=Regular
DejaVu LGC Sans Mono:style=Book
Courier 10 Pitch:style=Bold Italic
cmr10:style=Regular
Trebuchet
MS:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Lucida Bright:style=Regular
Luxi Mono:style=Regular
Arial:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,nghiêng đâm,Lodi etzana
DejaVu Sans:style=Oblique
Nimbus Mono L:style=Regular
FreeSans:style=Oblique,ležeče
Century Gothic:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,Lodi etzana
DejaVu LGC Sans:style=Book
BN Oria Bold:style=Regular
DejaVu LGC Sans:style=Bold
Trebuchet MS:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,Lodi etzana
Guttman Frank:style=Regular
PakTypeTehreer:style=Regular
Bitstream Charter:style=Italic
msbm10:style=Regular
Comic Sans
MS:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Ellinia CLM:style=Bold
URW Gothic L:style=Book
Frank Ruehl CLM:style=Medium Oblique
Lucida Sans:style=Regular,normal,Standard,Normaali,Normale,Standaard
Guttman Yad\-Brush:style=Regular
Kunstler
Script:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Gloucester MT Extra Condensed:style=Regular
Bitstream Vera Sans:style=Bold
Century
Gothic:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
DejaVu LGC Serif:style=Bold
Gigi:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
DejaVu LGC Serif:style=Book
BN Elhanan Bold:style=Regular
BN Varda:style=Regular
Verdana:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
SBL Hebrew:style=Regular
Century
Gothic:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Liberation Sans:style=Bold
MiscFixed:style=SemiCondensed
DejaVu Sans Mono:style=Oblique
BN FontBoy:style=Regular
FreeMono:style=BoldOblique,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,polkrepko
ležeče,Lodi etzana
DejaVu Sans,DejaVu Sans Condensed:style=Condensed Bold Oblique,Bold Oblique
Courier New:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,Lodi etzana
LucidaTypewriter:style=Sans
Miriam CLM:style=Bold
BN Boxi Bold:style=Regular
BN Karamel:style=Regular
Gladia CLM:style=Bold
Miriam CLM:style=Book
Lucida
Fax:style=Demibold,halvfed,Halbfett,Seminegrita,Puolilihavoitu,Demi-gras,Demi-grassetto,Halfvet,Trekvartsfet,Seminegrito
Lucida Calligraphy:style=Italic
Guttman Kav:style=Bold
MiscFixed:style=Bold
BN Pustakel Bold:style=Regular
DejaVu LGC Serif:style=Bold Italic
Miriam Mono CLM:style=Bold
David OT:style=Medium
BN Miri Black:style=Regular
Courier 10 Pitch:style=Italic
Miriam Mono CLM:style=Book
Utopia:style=Italic
Ktav Yad CLM:style=Medium Italic
Arial:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,nghiêng,Etzana
Liberation Serif:style=Regular
Jokerman:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Anka CLM:style=Bold
Bitstream Vera Serif:style=Roman
BN Nautilus:style=Regular
BN Lithium:style=Regular
Aharoni OTCLM:style=Book
Guttman Kav\-Light:style=Regular
DejaVu Sans,DejaVu Sans Light:style=ExtraLight
BN Kolavim:style=Regular
BN Torrens Bold:style=Regular
Bitstream Vera Sans Mono:style=Bold Oblique
Lucida Fax:style=Regular,normal,Standard,Normaali,Normale,Standaard
BN Karamel Bold:style=Regular
Footlight MT
Light:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Lucida Sans Typewriter:style=Bold Oblique,fed oblik,Fett Schräg,Negrita
Inclinada,Lihavoitu Kallistettu,Gras Oblique,Grassetto Oblique,Vet
Schuin,Halvfet Lutande,Fet Lutande,Negrito Inclinado
Luxi Serif:style=Oblique
Courier
New:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,nghiêng,Etzana
Liberation Sans:style=Bold Italic
Bitstream Vera Sans:style=Bold Oblique
Guttman Hodes:style=Light
Nimbus Sans L:style=Regular Condensed Italic
Luxi Serif:style=Bold Oblique
FreeSans:style=Bold,polkrepko
URW Bookman L:style=Demi Bold
Arial:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,thường,Arrunta
URW Bookman L:style=Light
BN Amnesia:style=Regular
FreeMono:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,polkrepko,đâm,Lodia
Juice
ITC:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
URW Gothic L:style=Demi Oblique
Standard Symbols L:style=Regular
BN Calculator:style=Regular
BN Traktor:style=Regular
Bitstream Vera Sans Mono:style=Roman
FreeMono:style=Medium,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,navadno,thường,Arrunta
Gill Sans
MT:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
High Tower
Text:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Luxi Mono:style=Oblique
Harrington:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
FreeSerif:style=Medium,navadno
Goudy Old
Style:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Courier 10 Pitch:style=Regular
DejaVu Sans,DejaVu Sans Condensed:style=Condensed,Book
Nachlieli CLM:style=Light Oblique
DejaVu Sans,DejaVu Sans Condensed:style=Condensed Bold,Bold
Liberation Mono:style=Bold
Ezra SIL:style=Regular
DejaVu LGC Serif,DejaVu LGC Serif Condensed:style=Condensed Bold,Bold
BN Madregot Thin:style=Regular
Nachlieli CLM:style=Bold
DejaVu LGC Sans,DejaVu LGC Sans Condensed:style=Condensed Bold,Bold
Courier
New:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,đâm,Lodia
URW Palladio L:style=Bold
Luxi Sans:style=Oblique
BN Buttercup:style=Regular
BN Barvaz:style=Regular
Haettenschweiler:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Ozrad CLM:style=Bold
Nimbus Sans L:style=Regular Condensed
BN Madregot:style=Regular
BN Zarbobim:style=Regular
Comix No2 CLM:style=Bold
Nachlieli CLM:style=Bold Oblique
BN Grafity:style=Regular
Guttman Adii:style=Regular
URW Bookman L:style=Light Italic
Lucida Sans
Unicode:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
BN Glida:style=Regular
BN Cloud:style=Regular
Courier:style=Italic
DejaVu Serif,DejaVu Serif Condensed:style=Condensed Italic,Italic
Century Schoolbook L:style=Roman
David CLM:style=Bold
Guttman Adii\-Light:style=Regular
FreeSerif:style=BoldItalic,polkrepko ležeče
Nimbus Roman No9 L:style=Regular Italic
Courier 10 Pitch:style=Bold
BN Bullet Tall:style=Regular
DejaVu Sans:style=Bold
cmmi10:style=Regular
DejaVu Sans:style=Book
Lucida
Handwriting:style=Italic,kursiv,Cursiva,Kursivoitu,Italique,Corsivo,Cursief,Itálico
URW Gothic L:style=Book Oblique
Gill Sans MT:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,Lodi etzana
MiscFixed:style=Bold SemiCondensed
URW Palladio L:style=Bold Italic
Fixed:style=Regular
Gill Sans Ultra
Bold:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Lucida Sans:style=Demibold Italic,halvfed kursiv,Halbfett Kursiv,Seminegrita
Cursiva,Puolilihavoitu Kursivoitu,Demi-gras Italique,Demi-grassetto
Corsivo,Halfvet Cursief,Trekvartsfet Kursiv,Seminegrito Itálico
DejaVu LGC Sans,DejaVu LGC Sans Light:style=ExtraLight
BN Anna:style=Regular
Arial:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,đâm,Lodia
Gill Sans
MT:style=Italic,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,Poševno,Etzana
MT Extra:style=Regular
Lucida Sans:style=Italic,kursiv,Cursiva,Kursivoitu,Italique,Corsivo,Cursief,Itálico
BN Slayer:style=Regular
DejaVu Serif:style=Italic
Luxi Sans:style=Bold Oblique
Garamond:style=Bold,Negreta,tučné,fed,Fett,Έντονα,Negrita,Lihavoitu,Gras,Félkövér,Grassetto,Vet,Halvfet,Pogrubiony,Negrito,Полужирный,Fet,Kalın,Krepko,Lodia
Guttman Hodes:style=Bold
Harlow Solid Italic:style=Italic
Nimbus Mono L:style=Regular Oblique
Bitstream Vera Serif:style=Bold
BN Shalechet:style=Regular
Levenim MT:style=Bold
Guttman Aharoni:style=Regular
DejaVu LGC Sans,DejaVu LGC Sans Condensed:style=Condensed Bold Oblique,Bold Oblique
BN Pustakel:style=Regular
Guttman Kav:style=Regular
BN 88 Fingers:style=Regular
Guttman Logo1:style=Regular
DejaVu Sans Mono:style=Book
Luxi Mono:style=Bold Oblique
DejaVu Sans Mono:style=Bold
Courier:style=Bold
eufm10:style=Regular
Liberation Serif:style=Italic
Drugulin CLM:style=Bold
Kartika:style=Regular
Utopia:style=Regular
BN Anna Bold:style=Regular
Guttman Keren:style=Bold
Nimbus Mono L:style=Bold
Impact:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
BN Michal:style=Regular
FreeSans:style=BoldOblique,polkrepko ležeče
BN Shirly:style=Regular
Liberation Mono:style=Italic
Aharoni CLM:style=Book Oblique
BN FontBoy 3D:style=Regular
BN Torrens Thin:style=Regular
Dorian CLM:style=Book
Monotype Hadassah:style=Regular
Georgia:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Bitstream Charter:style=Bold
Guttman Haim:style=Regular
FreeMono:style=Oblique,Cursiva,kurzíva,kursiv,Πλάγια,Kursivoitu,Italique,Dőlt,Corsivo,Cursief,Kursywa,Itálico,Курсив,İtalik,ležeče,nghiêng,Etzana
Lucida Bright:style=Demibold Italic
Times New Roman:style=Bold Italic,Negreta cursiva,tučné kurzíva,fed kursiv,Fett
Kursiv,Έντονα Πλάγια,Negrita Cursiva,Lihavoitu Kursivoi,Gras Italique,Félkövér
dőlt,Grassetto Corsivo,Vet Cursief,Halvfet Kursiv,Pogrubiona kursywa,Negrito
Itálico,Полужирный Курсив,Tučná kurzíva,Fet Kursiv,Kalın İtalik,Krepko
poševno,nghiêng đâm,Lodi etzana
Gill Sans MT
Condensed:style=Regular,Normal,obyčejné,Standard,Κανονικά,Normaali,Normál,Normale,Standaard,Normalny,Обычный,Normálne,Navadno,Arrunta
Frank Ruehl CLM:style=Bold
Nimbus Sans L:style=Bold Condensed Italic
Frank Ruehl CLM:style=Bold Oblique
URW Bookman L:style=Demi Bold Italic
Yehuda CLM:style=Light
BN Old Times:style=Regular
Liberation Sans:style=Italic
DejaVu Serif:style=Book
DejaVu Serif:style=Bold


\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\

[root@server ~]# rpm -qa | grep font
fontforge-20070511-2.fc8
fonts-KOI8-R-100dpi-1.0-10.fc8
fontconfig-devel-2.4.2-5.fc8
xorg-x11-fonts-100dpi-7.2-3.fc8
fonts-KOI8-R-1.0-10.fc8
alfont-2.0.6-3.fc8
urw-fonts-2.4-3.fc8
libXfont-1.3.1-2.fc8
fonts-KOI8-R-75dpi-1.0-10.fc8
fontconfig-2.4.2-5.fc8
bitmap-fonts-0.3-5.1.2.fc7
mathml-fonts-1.0-21.fc6
libfontenc-1.0.4-4.fc8
kacst-fonts-1.6.2-2.fc8
ghostscript-fonts-5.50-18.fc8
xorg-x11-fonts-ISO8859-1-100dpi-7.2-3.fc8
xorg-x11-fonts-75dpi-7.2-3.fc8
xorg-x11-fonts-truetype-7.2-3.fc8
fonts-hebrew-0.101-2.fc8
xorg-x11-fonts-ISO8859-1-75dpi-7.2-3.fc8
PersonalCopy-Lite-soundfont-4.1-3.fc8
freefont-20060126-4.fc7
liberation-fonts-1.0-1.fc8
dejavu-lgc-fonts-2.19-1
tetex-fonts-3.0-44.9.fc8
chkfontpath-1.10.1-2.fc8
libXfontcache-1.0.4-3.fc8
bitstream-vera-fonts-1.10-8
fonts-arabic-2.1-2.fc8
xorg-x11-fonts-cyrillic-7.2-3.fc8
msttcorefonts-1.3-4
xorg-x11-fonts-Type1-7.2-3.fc8
xorg-x11-fonts-misc-7.2-3.fc8
culmus-fonts-0.101-4.fc8
dejavu-fonts-2.20-1.fc8
fonts-hebrew-fancy-0.20051122-2.fc7
paktype-fonts-2.0-2.fc8
xorg-x11-font-utils-7.2-2.fc8
dejavu-fonts-experimental-2.20-1.fc8
fontmatrix-0.4.0-2.fc8

\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\

we have 3rd party fonts that are proprietary fonts and we have license to use
them since we are an educational institute (k12 schools across the city of
Petach Tikwa,Israel)
these are hebrew fonts:
Guttman family and BN Family and the MS basic font pack (Ariel,Tahoma...)
i guess i can send them over for the purpose of testing this bug
but i do not normally use them in the main UI they are only for the purpose of
compatibility with teacher's and pupil's work - importing/exporting office
documents.

please tell if you need any.
Comment 16 Caolan McNamara 2008-05-26 08:59:03 EDT
Ah, installing dejavu-fonts-experimental reproduces it and removing it "fixes" it
Comment 17 Nadav Kavalerchik 2008-05-26 10:27:20 EDT
woowww ! bless you 4 figuring that out.

removing the package (for now) solve the issue.

i confirm :-)
Comment 18 Caolan McNamara 2008-05-26 10:54:18 EDT
Hmm, the problem is that the -light version is missing glyphs and the fallback
says "use the not light" version as the fallback font, but our code currently
does a "old name == new name" means glyph fallback failed. When in fact it
should be ok to get the same name, we need to extend the comparison to be "old
font == new font" and take into account these "light" etc variants as different
things
Comment 19 Nadav Kavalerchik 2008-05-26 11:21:15 EDT
the font is not the problem in this case, it's OO not able to handle
new font families and styles correctly.
see : http://www.openoffice.org/issues/show_bug.cgi?id=79878

i think a fix is on the way :-)


Comment 20 Caolan McNamara 2008-05-26 11:31:50 EDT
Unfortunately (for me), my upstream nick is cmc
Comment 21 Caolan McNamara 2008-05-26 12:04:47 EDT
I propose to fix this for Fedora 9 and rawhide (Fedora 10). Fedora 8 has been
out a long time and I only heard about this problem now so I'm reluctant to push
back to the previous release when there is a workaround available of removing
the experimental dejavu fonts.

Will be in >= openoffice_org-2.4.0-12.11.fc9
Comment 22 Nadav Kavalerchik 2008-05-26 15:12:59 EDT
Hi cmc :-)

your omnipresence ;-) is sometime a fault... you have to fix everything :-)

funny how the universe works, every thing (all bugzillas on the planet) is
interconnected :-) and there is only one guy talking to himself ;-)

some times i am not sure i exists at all !

anyways,
i read your notes upstream and here also and it is just fine as you suggested.
thanks :-)
Comment 23 Fedora Update System 2008-06-09 05:37:29 EDT
openoffice.org-2.4.1-17.3.fc9 has been submitted as an update for Fedora 9
Comment 24 Fedora Update System 2008-06-09 23:14:45 EDT
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5143
Comment 25 Fedora Update System 2008-06-11 00:38:52 EDT
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Gilboa Davara 2010-02-08 12:49:23 EST
I'm seeing the exact same problem under two machines, F11/x86_64 and F12/x86_64.
I'm using the English UI, so only the in-active sheet tabs in Calc exhibit the empty box problem.
The F12 netbook runs KDE 4.3 and has a 12" 1366x768 display.
The F11 machine runs KDE 4.3 and has a 22"+17" 1680+1280x1050+1024 display.

The weird part is that a third machine, with somewhat different configuration (KDE 4.4rc3 and 1920x1280 display), but the same font package, does not exhibit this problem.

If I use the font replacement table in Tools -> Options -> Fonts, and replace Dejavu Sans with say, Ariel, the problem disappears.

- Gilboa
Comment 27 Gilboa Davara 2010-02-08 13:15:53 EST
(Most likely this bug should be closed as upstream and not currentrelease)
Comment 28 Caolan McNamara 2010-02-08 15:56:43 EST
Most like you have a different bug with similar symptoms.

You are getting now in F-11/F-12 getting "empty boxes characters in calc tab labels that are not in focus" right ? Attach a screen shot, and what your UI font is, (and fc-match -v "fontname")
Comment 29 Gilboa Davara 2010-02-09 01:40:24 EST
Created attachment 389683 [details]
inactive tabs font problem
Comment 30 Gilboa Davara 2010-02-09 01:57:20 EST
Created attachment 389685 [details]
fc-match output
Comment 31 Gilboa Davara 2010-02-09 01:58:56 EST
English UI.
Hebrew sheet name.
As far as I know that system font is "Dejavu Sans" *

- Gilboa
* Replacing it with Ariel via Tools -> Options -> Fonts solves the problem, so I assume that this is the system font OO is using. (I'm under KDE)
Comment 32 Caolan McNamara 2010-02-09 07:48:32 EST
Aha, there was a lookup cache added since the last time I fixed this which causes the same thing to happen if DejaVu Sans Normal weight was used to render some text which is then also rendered with in DejavaVu Sans Light weight.

Fixed submitted upstream, will be in >= 3.1.1-19.26
Comment 33 Gilboa Davara 2010-02-09 12:28:49 EST
Thanks for the update.
Comment 34 Fedora Update System 2010-02-13 07:01:35 EST
openoffice.org-3.1.1-19.26.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.26.fc12
Comment 35 Fedora Update System 2010-02-16 08:04:05 EST
openoffice.org-3.1.1-19.26.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.